MEMCPY(3) | Library Functions Manual | MEMCPY(3)

# NAME

`memcpy` —
copy byte string

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

`#include <string.h>`

void *
`memcpy`(void * restrict dst, const void * restrict src, size_t len);

# DESCRIPTION

The `memcpy`() function copies len bytes from string src to string dst. The arguments must not overlap -- behavior if the arguments overlap is undefined. To copy byte strings that overlap, use memmove(3).

# RETURN VALUES

The `memcpy`() function returns the original value of dst.

# SEE ALSO

bcopy(3), memccpy(3), memmove(3), strcpy(3)

# STANDARDS

The `memcpy`() function conforms to ISO/IEC 9899:1999 (“ISO C99”).

June 4, 1993 | NetBSD 9.2